Canon MP150 on USB works only in unidirectional mode

Bug #1050009 reported by Jörg Griebat on 2012-09-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cups (Ubuntu)
Medium
Unassigned

Bug Description

When printing from Evince (and from LibreOffice), the entire page is printed only in yellow instead of black.
Also, the "header" printed on a separate page.

The error is BACK since last update of CUPS!

My printer is a Canon MP510.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: cups 1.5.3-0ubuntu4
ProcVersionSignature: Ubuntu 3.2.0-30.48-generic 3.2.27
Uname: Linux 3.2.0-30-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 2.0.1-0ubuntu13
Architecture: amd64
Date: Wed Sep 12 21:13:24 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
Lpstat: device for Canon-MP510: usb://Canon/MP510?serial=21CCC8&interface=1
MachineType: System manufacturer System Product Name
Papersize: a4
PpdFiles: Canon-MP510: Canon PIXMA MP510 - CUPS+Gutenprint v5.2.8-pre1
ProcEnviron:
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-30-generic root=UUID=2272f248-c8dd-40e8-a687-2976bae1f4a6 ro quiet splash vt.handoff=7
SourcePackage: cups
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/17/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2102
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4A79XTD EVO
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0X
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2102:bd06/17/2010:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4A79XTDEVO:rvrRevX.0X:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

Till Kamppeter (till-kamppeter) wrote :

You tell that your problem shows up again. Can you tell whether the problem was reported already as a bug here and give a link to the original bug report? Thanks.

Changed in cups (Ubuntu):
status: New → Incomplete

Hello,

sorry but my english isn't very well...

I've got these problems with first installation of 12.04 LTS. Some of
these problems where described in Bug #987485, 1000253 (only few parts)
and 1001028.
More specifically:

      * the too small typeface,
      * font in the wrong color (usually yellow),
      * the last page is cut off
      * and is sometimes the first cm of the page printed on a separate
        sheet.

After patch cups 1.5.3-0ubuntu2 worked the printer - apart from the
paper feed - fine. Since patch 1.5.3-ubuntu4 the previously described
problems are back. Printing is not possible!

So, now i hope you can help me. I need my printer not often, but when I
need it, it should work.
Thanks a lot and kind regards.

Jörg Griebat

PS: writing in german would be better for me ... and also for the
English language :-)

-------- Weitergeleitete Nachricht --------
Von: Till Kamppeter <email address hidden>
Reply-to: Bug 1050009 <email address hidden>
An: <email address hidden>
Betreff: [Bug 1050009] Re: CUPS crashes again
Datum: Wed, 12 Sep 2012 22:13:01 -0000

You tell that your problem shows up again. Can you tell whether the
problem was reported already as a bug here and give a link to the
original bug report? Thanks.

Can you also do the following:

In a terminal window, run the command

lpadmin -p <printer> -o usb-unidir-default=true

with <printer> being the name of your printer as displayed by the "lpstat -p" command.

Now turn off and turn on your printer, then try to print several jobs. Does this solve the problem?

If not,

run

lpadmin -p <printer> -R usb-unidir-default

and then

lpadmin -p <printer> -o usb-no-reattach-default=true

Again, turn off and turn on your printer, then try to print several jobs. Does this solve the problem?

If not, try

lpadmin -p <printer> -o usb-no-reattach-default=true
lpadmin -p <printer> -o usb-unidir-default=true

and turn off and turn on your printer, then try to print several jobs. Does this solve the problem?

Please tell what works for you.

If nothing works, reset all to defaults via

lpadmin -p <printer> -R usb-no-reattach-default
lpadmin -p <printer> -R usb-unidir-default

Till Kamppeter (till-kamppeter) wrote :

Can you also run the command

lsusb

and post the output here? Thanks.

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 009 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 04a9:1717 Canon, Inc. MP510
Bus 004 Device 002: ID 046d:0a13 Logitech, Inc. Z-5 Speakers
Bus 005 Device 002: ID 045e:0745 Microsoft Corp. Nano Transceiver v1.0
for Bluetooth
Bus 005 Device 003: ID 045e:00db Microsoft Corp. Natural Ergonomic
Keyboard 4000 V1.0

-------- Weitergeleitete Nachricht --------
Von: Till Kamppeter <email address hidden>
Reply-to: Bug 1050009 <email address hidden>
An: <email address hidden>
Betreff: [Bug 1050009] Re: CUPS crashes again
Datum: Thu, 13 Sep 2012 21:15:41 -0000

Can you also run the command

lsusb

and post the output here? Thanks.

Can you please follow the instructions of comment #4? Thanks.

Hello,

now I tryed the first device and it seems that my problem is solved.

I hope for more than only a few weeks :-)

Thanks a lot for your help!

-------- Weitergeleitete Nachricht --------
Von: Till Kamppeter <email address hidden>
Reply-to: Bug 1050009 <email address hidden>
An: <email address hidden>
Betreff: [Bug 1050009] Re: CUPS crashes again
Datum: Thu, 13 Sep 2012 21:14:55 -0000

Can you also do the following:

In a terminal window, run the command

lpadmin -p <printer> -o usb-unidir-default=true

with <printer> being the name of your printer as displayed by the
"lpstat -p" command.

Now turn off and turn on your printer, then try to print several jobs.
Does this solve the problem?

If not,

run

lpadmin -p <printer> -R usb-unidir-default

and then

lpadmin -p <printer> -o usb-no-reattach-default=true

Again, turn off and turn on your printer, then try to print several
jobs. Does this solve the problem?

If not, try

lpadmin -p <printer> -o usb-no-reattach-default=true
lpadmin -p <printer> -o usb-unidir-default=true

and turn off and turn on your printer, then try to print several jobs.
Does this solve the problem?

Please tell what works for you.

If nothing works, reset all to defaults via

lpadmin -p <printer> -R usb-no-reattach-default
lpadmin -p <printer> -R usb-unidir-default

What do you mean with "the first device"?

The command:

lpadmin -p Canon-MP510 -o usb-unidir-default=true

The first three pages have been printed so far without problems. So I
think it works now.
Thanks a lot for your help!

Have a nice weekend :-)

-------- Weitergeleitete Nachricht --------
Von: Till Kamppeter <email address hidden>
Reply-to: Bug 1050009 <email address hidden>
An: <email address hidden>
Betreff: [Bug 1050009] Re: CUPS crashes again
Datum: Sat, 15 Sep 2012 19:28:47 -0000

What do you mean with "the first device"?

Thank you very much, I will add an exception rule to the CUPS USB backend which applies the option for this printer automatically.

Changed in cups (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
summary: - CUPS crashes again
+ Canon MP150 on USB works only in unidirectional mode
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cups - 1.6.1-0ubuntu6

---------------
cups (1.6.1-0ubuntu6) quantal; urgency=low

  * debian/patches/network-backends-snmp-queries-optional.patch: SNMP queries
    by network backends can get suppressed now by adding "?snmp=false" to the
    end of the URI. SBNP queries to Bonjour-shared CUPS queue will get
    suppressed by default.
  * debian/patches/usb-backend-more-quirk-rules.patch: Added more quirk rules
    which are not yet committed upstream: Canon MP510 (LP: #1050009),
    MP550 (CUPS STR #4155), Brother HL-1430 (LP: #1038695), Oki Okipage 14ex
    (LP: #872483), Oki B410d (LP: #872483), all Zebra printers (LP: #1001028).
  * debian/patches/get-ppd-file-for-statically-configured-ipp-shared-queues.patch:
    Applications could not get the PPD file for statically-configured IPP-
    shared print queues (CUPS STR #4178)
 -- Till Kamppeter <email address hidden> Thu, 20 Sep 2012 00:06:30 +0200

Changed in cups (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers